# camera.getLivePreview

Returns a continuous video stream with the resolution specified by
`previewFormat` in [Options](https://developers.google.com/streetview/open-spherical-camera/reference/options).
This command should return, "Content-Type: multipart/x-mixed-replace; boundary="---osclivepreview---"".
**This command was added in API level 2.**

## Parameters

- This command has no parameter in request body.

## Results

- A continuous video stream with frames separated by the boundary separator.

## Errors

- **disabledCommand:** Command is currently disabled; for example, the camera is shooting a video.
- **invalidParameterName:** The input parameter name is unrecognized.

| ## Command I/O ||
|---|---|
| **Command Input** | ``` none ``` |
| **Command Output** | ``` Continuous video stream. ``` |
| **Command Output (Error)** | ``` { "error": { "code": "disabledCommand", "message": "Command is currently disabled." } } ``` |